Skip to content

# `` graph

Classes:

- `GraphResultParser` –

## `` GraphResultParser

    GraphResultParser()

Bases: `ResultParser`

Methods:

- `parse` –

Source code in `rdflib/query.py`

    411
    412

    def __init__(self):
        pass

### `` parse

    parse(source: IO, content_type: Optional[str]) -> Result

Source code in `rdflib/plugins/sparql/results/graph.py`

    11
    12
    13
    14
    15
    16

    def parse(self, source: IO, content_type: Optional[str]) -> Result:  # type: ignore[override]
        res = Result("CONSTRUCT")  # hmm - or describe?type_)
        res.graph = Graph()
        res.graph.parse(source, format=content_type)

        return res